Bug 1286359 - tor multi-instance services do not restart/reload when they should
tor multi-instance services do not restart/reload when they should
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tor (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jamie Nguyen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-28 09:33 EST by nusenu
Modified: 2016-01-02 20:28 EST (History)
4 users (show)

See Also:
Fixed In Version: tor-0.2.7.6-4.fc22 tor-0.2.7.6-4.fc23 tor-0.2.7.6-4.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-28 18:52:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nusenu 2015-11-28 09:33:19 EST
Description of problem:
- all tor processes should be restarted after the tor package is updated
- all tor processes should be reloaded after their logfile changed (logrotate)

Logfiles will be rotated but tor multi-instance services will not receive any reload/HUP signal.

/etc/logrotate.d/tor:
...
 /bin/systemctl reload tor.service
...


fix:
https://github.com/nusenu/ansible-relayor/commit/045a63b1c2f12dfa68c5676fc1d0ae3d5368cd63

I took that fix from debian's service file:
https://gitweb.torproject.org/debian/tor.git/tree/debian/systemd/tor@.service

side effect of this change:
if a use restarts tor.service all tor instances will be restarted as well, but I'd consider that as a smaller problem than the current issue.

Version-Release number of selected component (if applicable):
tor-0.2.6.10-6.fc23.x86_64


How reproducible:
always


Actual results:
tor processes are not restarted/reloaded

Expected results:
tor processes should reload/restart in the cases mentioned above
Comment 1 Fedora Update System 2015-11-30 06:28:49 EST
tor-0.2.7.5-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-abb3aa2806
Comment 2 Fedora Update System 2015-11-30 06:29:18 EST
tor-0.2.7.5-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f3d40989f9
Comment 3 Fedora Update System 2015-11-30 06:30:00 EST
tor-0.2.7.5-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-d9fbc2e0fc
Comment 4 Jamie Nguyen 2015-11-30 06:36:28 EST
Thanks for reporting this bug. 

All Tor instances can now be restarted (or reloaded or stopped) like so:

  systemctl restart tor-master.service

When logrorate runs or Tor package gets updated, all instances will be restarted. 

This is slightly different from Debian. tor.service is the default (rather than tor@default.service) for backwards compatibility to avoid surprising users.
Comment 5 Fedora Update System 2015-11-30 19:22:41 EST
tor-0.2.7.5-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update tor'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-d9fbc2e0fc
Comment 6 Fedora Update System 2015-11-30 21:22:25 EST
tor-0.2.7.5-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update tor'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-abb3aa2806
Comment 7 Fedora Update System 2015-12-02 11:52:39 EST
tor-0.2.7.5-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update tor'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f3d40989f9
Comment 8 nusenu 2015-12-04 17:30:33 EST
restarting tor-master works, reload does not.

root-cause:
https://bugzilla.redhat.com/show_bug.cgi?id=1288644#c0
Comment 9 Fedora Update System 2015-12-06 10:45:25 EST
tor-0.2.7.5-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-0cddd695da
Comment 10 Fedora Update System 2015-12-06 10:45:38 EST
tor-0.2.7.5-5.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-a57c00bb26
Comment 11 Fedora Update System 2015-12-06 10:46:10 EST
tor-0.2.7.5-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-cf74a6540d
Comment 12 Fedora Update System 2015-12-06 18:51:10 EST
tor-0.2.7.5-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update tor'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-0cddd695da
Comment 13 Fedora Update System 2015-12-06 19:22:19 EST
tor-0.2.7.5-5.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update tor'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-a57c00bb26
Comment 14 Fedora Update System 2015-12-08 02:22:17 EST
tor-0.2.7.5-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update tor'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-cf74a6540d
Comment 15 Fedora Update System 2015-12-11 05:38:36 EST
tor-0.2.7.6-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c13ba0f430
Comment 16 Fedora Update System 2015-12-11 05:38:50 EST
tor-0.2.7.6-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-9c43216367
Comment 17 Fedora Update System 2015-12-11 05:39:17 EST
tor-0.2.7.6-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-4b8fcfd778
Comment 18 Fedora Update System 2015-12-11 22:19:50 EST
tor-0.2.7.6-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update tor'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-9c43216367
Comment 19 Fedora Update System 2015-12-11 22:23:06 EST
tor-0.2.7.6-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update tor'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c13ba0f430
Comment 20 Fedora Update System 2015-12-12 15:22:58 EST
tor-0.2.7.6-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update tor'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-4b8fcfd778
Comment 21 Fedora Update System 2015-12-16 13:08:21 EST
tor-0.2.7.6-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-bfda6099e2
Comment 22 Fedora Update System 2015-12-16 13:28:05 EST
tor-0.2.7.6-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-8185ed15cf
Comment 23 Fedora Update System 2015-12-16 13:28:25 EST
tor-0.2.7.6-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-b870fb3c4e
Comment 24 Fedora Update System 2015-12-17 05:28:06 EST
tor-0.2.7.6-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update tor'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-8185ed15cf
Comment 25 Fedora Update System 2015-12-17 05:28:15 EST
tor-0.2.7.6-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update tor'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-bfda6099e2
Comment 26 Fedora Update System 2015-12-17 07:52:23 EST
tor-0.2.7.6-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update tor'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-b870fb3c4e
Comment 27 Fedora Update System 2015-12-28 18:52:35 EST
tor-0.2.7.6-4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 28 Fedora Update System 2016-01-02 17:22:09 EST
tor-0.2.7.6-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 29 Fedora Update System 2016-01-02 20:28:29 EST
tor-0.2.7.6-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.